# Disabling the preloader
Framer.Extras.Preloader.disable()

# Page 1: Bridge video
page_1 = new Layer
	size: Screen.size
	backgroundColor: null

Video_1_Bridge = new VideoLayer
	size: Screen.size
	video: "images/Video_1_Bridge.mp4"
	backgroundColor: null
	parent: page_1
Video_1_Bridge.player.loop = yes

Video_1_Bridge.player.play()

Create_amazing_handheld = new Layer
	width: 512/2
	height: 122/2
	image: "images/Create_amazing_handheld.png"
	x: Align.center
	y: 41.5
	opacity: 0.8
	parent: page_1

Swipe_to_continue = new Layer
	width: 400/2
	height: 115/2
	image: "images/Swipe_to_continue.png"
	x: Align.center
	maxY: Screen.height - 100
	originY: 1
	parent: page_1
	scale: .5
	opacity: 0

# Show ‘Swipe to continue’
showSwipeToContinue = new Animation Swipe_to_continue,
	scale: 1
	opacity: 1
	options:
		curve: Spring
		time: 0.7

# Hide ‘Swipe to continue’
hideSwipeToContinue = new Animation Swipe_to_continue,
	scale: .5
	opacity: 0
	options:
		curve: Spring
		time: 0.7
		delay: 3

# Trigger «hideSwipeToContinue» when «showSwipeToContinue» ends
showSwipeToContinue.onAnimationEnd hideSwipeToContinue.start

# Page 2: Clouds video
page_2 = new Layer
	size: Screen.size
	backgroundColor: null

Video_2_Clouds = new VideoLayer
	size: Screen.size
	video: "images/Video_2_Clouds.mp4"
	backgroundColor: null
	parent: page_2
Video_2_Clouds.player.loop = yes

Video_2_Clouds.player.play()

Hyperlapse_stabilizes_your_video = new Layer
	width: 534/2
	height: 104/2
	image: "images/Hyperlapse_stabilizes_your_video.png"
	x: Align.center
	y: 47.5
	opacity: 0.8
	parent: page_2

# Page 3: Train video
page_3 = new Layer
	size: Screen.size
	backgroundColor: null

Video_3_train = new VideoLayer
	size: Screen.size
	video: "images/Video_3_train.mp4"
	backgroundColor: null
	parent: page_3
Video_3_train.player.loop = yes

Video_3_train.player.play()

Share_your_hyperlapses_with = new Layer
	width: 539/2
	height: 104/2
	image: "images/Share_your_hyperlapses_with.png"
	x: Align.center
	y: 47.5
	opacity: 0.8
	parent: page_3

# Page 4: People dancing video
page_4 = new Layer
	size: Screen.size
	backgroundColor: null

Video_4_people = new VideoLayer
	size: Screen.size
	video: "images/Video_4_people.mp4"
	backgroundColor: null
	parent: page_4
Video_4_people.player.loop = yes

Video_4_people.player.play()

Get_started_by_letting_Hyperlapse = new Layer
	width: 530/2
	height: 105/2
	image: "images/Get_started_by_letting_Hyperlapse.png"
	x: Align.center
	y: 47.5
	opacity: 0.8
	parent: page_4

Allow_access = new Layer
	width: 440/2
	height: 100/2
	image: "images/Allow_access.png"
	x: Align.center
	y: 124.5
	parent: page_4
